TURBULENCE_NONE         equ   00000000h
TURBULENCE_LIGHT        equ   00000001h
TURBULENCE_MODERATE     equ   00000002h
TURBULENCE_HEAVY        equ   00000003h
TURBULENCE_SEVERE       equ   00000004h
WIND_SHEER_GRADUATE     equ   00000000h
WIND_SHEER_MODERATE     equ   00000001h
WIND_SHEER_STEEP        equ   00000002h
WIND_SHEER_SHARP        equ   00000003h
CLOUDS_CIRRUS           equ   00000001h
CLOUDS_STRATUS          equ   00000008h
CLOUDS_CUMULUS          equ   00000009h
CLOUDS_THUNDERSTORM     equ   0000000Ah
PRECIPITATION_NONE         equ   00000000h
PRECIPITATION_RAIN         equ   00000001h
PRECIPITATION_SNOW         equ   00000002h
PRECIPITATION_RATE_VERY_LIGHT    equ   00000000h
PRECIPITATION_RATE_LIGHT         equ   00000001h
PRECIPITATION_RATE_MODERATE      equ   00000002h
PRECIPITATION_RATE_HEAVY         equ   00000003h
PRECIPITATION_RATE_VERY_HEAVY    equ   00000004h
ICING_NONE           equ   00000000h
ICING_TRACE          equ   00000001h
ICING_LIGHT          equ   00000002h
ICING_MODERATE       equ   00000003h
ICING_SEVERE         equ   00000004h
WE_HEADER_1 macro
   dd 9
   db 1
   db 0FDh
   endm
WE_HEADER_2 macro   count_x, count_y, unknown
   db 2
   db 0FDh
   dd count_x
   dd count_y
   dw 1
   dw unknown
   dd 0
   endm
WE_INDEX macro   count_wind, count_visibility, count_clouds, count_thermal
   dd count_wind
   dd count_visibility
   dd count_clouds
   dd count_thermal
   dd 0
   dd 20202020h
   dd 7Fh
   endm
WE_WIND macro altitude, speed, gusts, direction, direction_variation, turbulence, wind_sheer
   dd altitude
   dd speed
   dd gusts
   dd direction
   dd direction_variation
   dd turbulence
   dd wind_sheer
   endm
WE_VISIBILITY macro visibility, tops, base
   dd visibility
   dd tops
   dd base
   endm
WE_CLOUDS macro  type, tops, base, coverage, turbulence, precip, precip_base, precip_rate, icing
   dd type
   dd tops
   dd base
   dd 30.48
   dd coverage
   dd 0
   dd turbulence
   dd precip
   dd precip_base
   dd precip_rate
   dd icing
   endm
WE_THERMAL_START macro
   dd 0
   endm
WE_THERMAL macro temperature, dew_point, altitude
   dd temperature
   dd 3.0
   dd dew_point
   dd altitude
   endm
WE_THERMAL_END macro   pressure
   dd pressure
   dd 3.0
   endm
